CREATE TABLE fla_lease_payment_taxes_hist (
    PAYMENT_TAX_ID                   NUMBER(18, 0),
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    PAYMENT_NUMBER                   VARCHAR2(120)    NOT NULL,
    LEASE_ID                         NUMBER(18, 0)    NOT NULL,
    LEASE_DETAIL_ID                  NUMBER(18, 0)    NOT NULL,
    TAX_RATE_CODE                    VARCHAR2(200)    NOT NULL,
    TAX_RATE_EFFECTIVE_FROM          DATE         ,
    TAX_JURISDICTION_CODE            VARCHAR2(120),
    TAX_REGIME_CODE                  VARCHAR2(120),
    TAX                              VARCHAR2(120),
    RECOVERY_TAX_RATE_CODE           VARCHAR2(200),
    RECOVERY_RATE_EFFECTIVE_FROM     DATE         ,
    RECOVERY_TYPE_CODE               VARCHAR2(120),
    RECOVERY_TAX_ROU_FLAG            VARCHAR2(4)  ,
    TAX_DETERMINANTS_SOURCE_CODE     VARCHAR2(120),
    NON_RECOVERY_TAX_ROU_FLAG        VARCHAR2(4)  ,
    CALC_TAX_ON_INCREASE_AMT_FLAG    VARCHAR2(4)  ,
    TAX_RATE_ID                      NUMBER(18, 0),
    RECOVERY_TAX_RATE_ID             NUMBER(18, 0),
    TAX_RATE                         NUMBER       ,
    RECOVERABLE_TAX_RATE             NUMBER       ,
    PAYMENT_TAX_LINE_NUMBER          VARCHAR2(120)    NOT NULL,
    TAX_PAYMENT_ITEMS_IMPACT_FLAG    VARCHAR2(4)  ,
    SCHEDULES_IMPACT_FLAG            VARCHAR2(4)  ,
    FINAL_PAYMENT_TAX_ID             NUMBER(18, 0),
    CHANGE_TYPE_CODE                 VARCHAR2(120)    NOT NULL,
    CHANGED_IN_VERSION_NUM           NUMBER(9, 0)     NOT NULL,
    DATA_SOURCE_CODE                 VARCHAR2(120),
    SYSTEM_ORIGIN_REFERENCE_1        VARCHAR2(120),
    SYSTEM_ORIGIN_REFERENCE_2        VARCHAR2(120),
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    ATTRIBUTE_CATEGORY               VARCHAR2(120),
    ATTRIBUTE_CHAR1                  VARCHAR2(600),
    ATTRIBUTE_CHAR2                  VARCHAR2(600),
    ATTRIBUTE_CHAR3                  VARCHAR2(600),
    ATTRIBUTE_CHAR4                  VARCHAR2(600),
    ATTRIBUTE_CHAR5                  VARCHAR2(600),
    ATTRIBUTE_CHAR6                  VARCHAR2(600),
    ATTRIBUTE_CHAR7                  VARCHAR2(600),
    ATTRIBUTE_CHAR8                  VARCHAR2(600),
    ATTRIBUTE_CHAR9                  VARCHAR2(600),
    ATTRIBUTE_CHAR10                 VARCHAR2(600),
    ATTRIBUTE_CHAR11                 VARCHAR2(600),
    ATTRIBUTE_CHAR12                 VARCHAR2(600),
    ATTRIBUTE_CHAR13                 VARCHAR2(600),
    ATTRIBUTE_CHAR14                 VARCHAR2(600),
    ATTRIBUTE_CHAR15                 VARCHAR2(600),
    ATTRIBUTE_NUMBER1                NUMBER       ,
    ATTRIBUTE_NUMBER2                NUMBER       ,
    ATTRIBUTE_NUMBER3                NUMBER       ,
    ATTRIBUTE_NUMBER4                NUMBER       ,
    ATTRIBUTE_NUMBER5                NUMBER       ,
    ATTRIBUTE_DATE1                  DATE         ,
    ATTRIBUTE_DATE2                  DATE         ,
    ATTRIBUTE_DATE3                  DATE         ,
    ATTRIBUTE_DATE4                  DATE         ,
    ATTRIBUTE_DATE5                  DATE         ,
    PAYMENT_TAX_ID                   NUMBER(18, 0),
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    PAYMENT_NUMBER                   VARCHAR2(120)    NOT NULL,
    LEASE_ID                         NUMBER(18, 0)    NOT NULL,
    LEASE_DETAIL_ID                  NUMBER(18, 0)    NOT NULL,
    TAX_RATE_CODE                    VARCHAR2(200)    NOT NULL,
    TAX_RATE_EFFECTIVE_FROM          DATE         ,
    TAX_JURISDICTION_CODE            VARCHAR2(120),
    TAX_REGIME_CODE                  VARCHAR2(120),
    TAX                              VARCHAR2(120),
    RECOVERY_TAX_RATE_CODE           VARCHAR2(200),
    RECOVERY_RATE_EFFECTIVE_FROM     DATE         ,
    RECOVERY_TYPE_CODE               VARCHAR2(120),
    RECOVERY_TAX_ROU_FLAG            VARCHAR2(4)  ,
    TAX_DETERMINANTS_SOURCE_CODE     VARCHAR2(120),
    NON_RECOVERY_TAX_ROU_FLAG        VARCHAR2(4)  ,
    CALC_TAX_ON_INCREASE_AMT_FLAG    VARCHAR2(4)  ,
    TAX_RATE_ID                      NUMBER(18, 0),
    RECOVERY_TAX_RATE_ID             NUMBER(18, 0),
    TAX_RATE                         NUMBER       ,
    RECOVERABLE_TAX_RATE             NUMBER       ,
    PAYMENT_TAX_LINE_NUMBER          VARCHAR2(120)    NOT NULL,
    TAX_PAYMENT_ITEMS_IMPACT_FLAG    VARCHAR2(4)  ,
    SCHEDULES_IMPACT_FLAG            VARCHAR2(4)  ,
    FINAL_PAYMENT_TAX_ID             NUMBER(18, 0),
    CHANGE_TYPE_CODE                 VARCHAR2(120)    NOT NULL,
    CHANGED_IN_VERSION_NUM           NUMBER(9, 0)     NOT NULL,
    DATA_SOURCE_CODE                 VARCHAR2(120),
    SYSTEM_ORIGIN_REFERENCE_1        VARCHAR2(120),
    SYSTEM_ORIGIN_REFERENCE_2        VARCHAR2(120),
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    ATTRIBUTE_CATEGORY               VARCHAR2(120),
    ATTRIBUTE_CHAR1                  VARCHAR2(600),
    ATTRIBUTE_CHAR2                  VARCHAR2(600),
    ATTRIBUTE_CHAR3                  VARCHAR2(600),
    ATTRIBUTE_CHAR4                  VARCHAR2(600),
    ATTRIBUTE_CHAR5                  VARCHAR2(600),
    ATTRIBUTE_CHAR6                  VARCHAR2(600),
    ATTRIBUTE_CHAR7                  VARCHAR2(600),
    ATTRIBUTE_CHAR8                  VARCHAR2(600),
    ATTRIBUTE_CHAR9                  VARCHAR2(600),
    ATTRIBUTE_CHAR10                 VARCHAR2(600),
    ATTRIBUTE_CHAR11                 VARCHAR2(600),
    ATTRIBUTE_CHAR12                 VARCHAR2(600),
    ATTRIBUTE_CHAR13                 VARCHAR2(600),
    ATTRIBUTE_CHAR14                 VARCHAR2(600),
    ATTRIBUTE_CHAR15                 VARCHAR2(600),
    ATTRIBUTE_NUMBER1                NUMBER       ,
    ATTRIBUTE_NUMBER2                NUMBER       ,
    ATTRIBUTE_NUMBER3                NUMBER       ,
    ATTRIBUTE_NUMBER4                NUMBER       ,
    ATTRIBUTE_NUMBER5                NUMBER       ,
    ATTRIBUTE_DATE1                  DATE         ,
    ATTRIBUTE_DATE2                  DATE         ,
    ATTRIBUTE_DATE3                  DATE         ,
    ATTRIBUTE_DATE4                  DATE         ,
    ATTRIBUTE_DATE5                  DATE         ,
    CONSTRAINT pk_fla_lease_payment_taxes_hist PRIMARY KEY (PAYMENT_TAX_ID, PAYMENT_TAX_ID)
);
